<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerStomach.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dec/_player_stomach_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PlayerStomach.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d8/dec/_player_stomach_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aff6b446cd1b4003ceddae722fc9d96da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#aff6b446cd1b4003ceddae722fc9d96da">PlayerStomach</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aff6b446cd1b4003ceddae722fc9d96da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4a544b7e6668ad879370d4b4b2188d4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ad4a544b7e6668ad879370d4b4b2188d4">~PlayerStomach</a> ()</td></tr>
<tr class="separator:ad4a544b7e6668ad879370d4b4b2188d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac249026096c39121e1edc2bc6f8571a0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ac249026096c39121e1edc2bc6f8571a0">GetStomachVolume</a> ()</td></tr>
<tr class="separator:ac249026096c39121e1edc2bc6f8571a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322fd9e8f62a3bac73134f1cc85220c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a322fd9e8f62a3bac73134f1cc85220c2">ClearContents</a> ()</td></tr>
<tr class="separator:a322fd9e8f62a3bac73134f1cc85220c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3590ff8a2540b4d7e7abb2715908dbc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ac3590ff8a2540b4d7e7abb2715908dbc">SetAgentTransferFilter</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> filter_agents)</td></tr>
<tr class="separator:ac3590ff8a2540b4d7e7abb2715908dbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a663b3f517a68bf76ca4a93e6ef65c6d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a663b3f517a68bf76ca4a93e6ef65c6d6">GetAgentTransferFilter</a> ()</td></tr>
<tr class="separator:a663b3f517a68bf76ca4a93e6ef65c6d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab01a1c2d7aa1e32655e71fdb91708d82"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ab01a1c2d7aa1e32655e71fdb91708d82">RegisterItem</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> classname, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:ab01a1c2d7aa1e32655e71fdb91708d82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2c2c37d2b5e671e0712a20723abfccf"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ab2c2c37d2b5e671e0712a20723abfccf">GetClassnameFromID</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id)</td></tr>
<tr class="separator:ab2c2c37d2b5e671e0712a20723abfccf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af20f78a980da9230194c74feb2bed504"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#af20f78a980da9230194c74feb2bed504">GetIDFromClassname</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:af20f78a980da9230194c74feb2bed504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace43e492b585bf2a1eef6f1059dd3041"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ace43e492b585bf2a1eef6f1059dd3041">InitData</a> ()</td></tr>
<tr class="separator:ace43e492b585bf2a1eef6f1059dd3041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bf8b2dd2fbfe7e56a7301c85d3ba301"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a1bf8b2dd2fbfe7e56a7301c85d3ba301">GetStorageVersion</a> ()</td></tr>
<tr class="separator:a1bf8b2dd2fbfe7e56a7301c85d3ba301"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a741ed66d1162388597d5a575d7b7a957"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a741ed66d1162388597d5a575d7b7a957">IsDigesting</a> ()</td></tr>
<tr class="separator:a741ed66d1162388597d5a575d7b7a957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0ef9dba1c5bd3acd21594a23d145c91"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ab0ef9dba1c5bd3acd21594a23d145c91">GetDigestingType</a> ()</td></tr>
<tr class="separator:ab0ef9dba1c5bd3acd21594a23d145c91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d85fb887603ea275dcc3b5dcc7a427a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a9d85fb887603ea275dcc3b5dcc7a427a">Update</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta_time)</td></tr>
<tr class="separator:a9d85fb887603ea275dcc3b5dcc7a427a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6b9baf1b3e261548ded1faa8567ccbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#aa6b9baf1b3e261548ded1faa8567ccbf">ProcessNutrients</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> delta_time)</td></tr>
<tr class="separator:aa6b9baf1b3e261548ded1faa8567ccbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a420ca3a3f2b5914ece7a333557c3a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a9a420ca3a3f2b5914ece7a333557c3a9">DigestAgents</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> agents, <a class="el" href="../../d4/dc3/classfloat.html">float</a> quantity)</td></tr>
<tr class="separator:a9a420ca3a3f2b5914ece7a333557c3a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28e83e041ba7edf671e9593faac0aae2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a28e83e041ba7edf671e9593faac0aae2">PrintUpdate</a> ()</td></tr>
<tr class="separator:a28e83e041ba7edf671e9593faac0aae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dbceaac369736315f5099db7eedd810"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a2dbceaac369736315f5099db7eedd810">AddToStomach</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../d1/db8/_option_selector_multistate_8c.html#a6e64693a765afc8a0b5442acfb2ba262">class_name</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> amount, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> food_stage=0, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> agents=0)</td></tr>
<tr class="separator:a2dbceaac369736315f5099db7eedd810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad975050d7a080cca462e74c604f404a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ad975050d7a080cca462e74c604f404a2">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:ad975050d7a080cca462e74c604f404a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8fb9b4105d97f4c7ba4bdd84d6c7de9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ab8fb9b4105d97f4c7ba4bdd84d6c7de9">OnStoreLoad</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:ab8fb9b4105d97f4c7ba4bdd84d6c7de9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c607392b08c84ccc900fe0ebc610cae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a9c607392b08c84ccc900fe0ebc610cae">GetDebugObject</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt; object_out)</td></tr>
<tr class="separator:a9c607392b08c84ccc900fe0ebc610cae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a8777c7c76319046c85997da1aed88676"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a8777c7c76319046c85997da1aed88676">DIGESTING_WATER</a> = 1</td></tr>
<tr class="separator:a8777c7c76319046c85997da1aed88676"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa42be4c5db39a61eb1a576e8c6f84946"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#aa42be4c5db39a61eb1a576e8c6f84946">DIGESTING_ENERGY</a> = 2</td></tr>
<tr class="separator:aa42be4c5db39a61eb1a576e8c6f84946"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94d2d58da661c601937b4da902f47b7a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a94d2d58da661c601937b4da902f47b7a">quantity_bit_offset</a> = 16</td></tr>
<tr class="separator:a94d2d58da661c601937b4da902f47b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1e26b7740d09e905a4490ad5ad6339e"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ad1e26b7740d09e905a4490ad5ad6339e">id_bit_offset</a> = 4</td></tr>
<tr class="separator:ad1e26b7740d09e905a4490ad5ad6339e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ddf45126b981e720db0cad9d010c773"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a7ddf45126b981e720db0cad9d010c773">CHECKSUM</a></td></tr>
<tr class="separator:a7ddf45126b981e720db0cad9d010c773"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86e33c1a14981c2ce5a75a70eff4d045"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a86e33c1a14981c2ce5a75a70eff4d045">DIGESTION_POINTS</a> = <a class="el" href="../../d3/def/class_player_constants.html#ab011742d976a25101a5c5ecc8f315251">PlayerConstants.DIGESTION_SPEED</a></td></tr>
<tr class="separator:a86e33c1a14981c2ce5a75a70eff4d045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43d5da5f6c638c259da7bb93c4d30db7"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a43d5da5f6c638c259da7bb93c4d30db7">ACCEPTABLE_QUANTITY_MAX</a> = 32768</td></tr>
<tr class="separator:a43d5da5f6c638c259da7bb93c4d30db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a542ac60999d4399c5a884797633f8e28"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a542ac60999d4399c5a884797633f8e28">ACCEPTABLE_FOODSTAGE_MAX</a> = <a class="el" href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25a1933def4ded8ab63dacaf0d0cb84ca12">FoodStageType.COUNT</a> - 1</td></tr>
<tr class="separator:a542ac60999d4399c5a884797633f8e28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc39c51d4fd0b39e8924be074e198c2d"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#afc39c51d4fd0b39e8924be074e198c2d">m_NamesToIDs</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt;</td></tr>
<tr class="separator:afc39c51d4fd0b39e8924be074e198c2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d53d89632337d79bb513ade988d8a86"><td class="memItemLeft" align="right" valign="top">static ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a7d53d89632337d79bb513ade988d8a86">m_IDsToNames</a> = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt;</td></tr>
<tr class="separator:a7d53d89632337d79bb513ade988d8a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad043ea06596a2266dee55db2f6f1a10b"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ad043ea06596a2266dee55db2f6f1a10b">m_InitData</a> = <a class="el" href="../../d8/dec/_player_stomach_8c.html#ace43e492b585bf2a1eef6f1059dd3041">PlayerStomach.InitData</a>()</td></tr>
<tr class="separator:ad043ea06596a2266dee55db2f6f1a10b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac859686fe433a51f829779619c4111e0"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ac859686fe433a51f829779619c4111e0">m_StomachContents</a> = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a>&gt;</td></tr>
<tr class="separator:ac859686fe433a51f829779619c4111e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af26d583f3ed0a091a635220c58041485"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#af26d583f3ed0a091a635220c58041485">m_AgentTransferFilter</a></td></tr>
<tr class="separator:af26d583f3ed0a091a635220c58041485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4d2ef25f8a162fbe3b3941605f1f484"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#aa4d2ef25f8a162fbe3b3941605f1f484">m_Digesting</a></td></tr>
<tr class="separator:aa4d2ef25f8a162fbe3b3941605f1f484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a069e208d705ba831ca86e08ac9941191"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a069e208d705ba831ca86e08ac9941191">m_DigestingType</a></td></tr>
<tr class="separator:a069e208d705ba831ca86e08ac9941191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db3d46d75d2864daed52041fe1f0973"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a4db3d46d75d2864daed52041fe1f0973">m_Player</a></td></tr>
<tr class="separator:a4db3d46d75d2864daed52041fe1f0973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae779d330a5cde7207b3f6b846b86f87d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#ae779d330a5cde7207b3f6b846b86f87d">m_StomachVolume</a></td></tr>
<tr class="separator:ae779d330a5cde7207b3f6b846b86f87d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25a1f5ed25534a65e875f6fde47a1d13"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dec/_player_stomach_8c.html#a25a1f5ed25534a65e875f6fde47a1d13">STORAGE_VERSION</a> = 106</td></tr>
<tr class="separator:a25a1f5ed25534a65e875f6fde47a1d13"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a2dbceaac369736315f5099db7eedd810" name="a2dbceaac369736315f5099db7eedd810"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2dbceaac369736315f5099db7eedd810">&#9670;&#160;</a></span>AddToStomach()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AddToStomach </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>class_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>amount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>food_stage</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>agents</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00323">323</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a322fd9e8f62a3bac73134f1cc85220c2" name="a322fd9e8f62a3bac73134f1cc85220c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322fd9e8f62a3bac73134f1cc85220c2">&#9670;&#160;</a></span>ClearContents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ClearContents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00143">143</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a9a420ca3a3f2b5914ece7a333557c3a9" name="a9a420ca3a3f2b5914ece7a333557c3a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a420ca3a3f2b5914ece7a333557c3a9">&#9670;&#160;</a></span>DigestAgents()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DigestAgents </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>agents</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>quantity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00287">287</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a663b3f517a68bf76ca4a93e6ef65c6d6" name="a663b3f517a68bf76ca4a93e6ef65c6d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a663b3f517a68bf76ca4a93e6ef65c6d6">&#9670;&#160;</a></span>GetAgentTransferFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetAgentTransferFilter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00154">154</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ab2c2c37d2b5e671e0712a20723abfccf" name="ab2c2c37d2b5e671e0712a20723abfccf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2c2c37d2b5e671e0712a20723abfccf">&#9670;&#160;</a></span>GetClassnameFromID()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetClassnameFromID </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00169">169</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a9c607392b08c84ccc900fe0ebc610cae" name="a9c607392b08c84ccc900fe0ebc610cae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c607392b08c84ccc900fe0ebc610cae">&#9670;&#160;</a></span>GetDebugObject()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetDebugObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> &gt;&#160;</td>
          <td class="paramname"><em>object_out</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00442">442</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ab0ef9dba1c5bd3acd21594a23d145c91" name="ab0ef9dba1c5bd3acd21594a23d145c91"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0ef9dba1c5bd3acd21594a23d145c91">&#9670;&#160;</a></span>GetDigestingType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetDigestingType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00237">237</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="af20f78a980da9230194c74feb2bed504" name="af20f78a980da9230194c74feb2bed504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af20f78a980da9230194c74feb2bed504">&#9670;&#160;</a></span>GetIDFromClassname()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetIDFromClassname </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00174">174</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ac249026096c39121e1edc2bc6f8571a0" name="ac249026096c39121e1edc2bc6f8571a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac249026096c39121e1edc2bc6f8571a0">&#9670;&#160;</a></span>GetStomachVolume()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> GetStomachVolume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00138">138</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a1bf8b2dd2fbfe7e56a7301c85d3ba301" name="a1bf8b2dd2fbfe7e56a7301c85d3ba301"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bf8b2dd2fbfe7e56a7301c85d3ba301">&#9670;&#160;</a></span>GetStorageVersion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetStorageVersion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00227">227</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ace43e492b585bf2a1eef6f1059dd3041" name="ace43e492b585bf2a1eef6f1059dd3041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace43e492b585bf2a1eef6f1059dd3041">&#9670;&#160;</a></span>InitData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> InitData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00181">181</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a741ed66d1162388597d5a575d7b7a957" name="a741ed66d1162388597d5a575d7b7a957"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a741ed66d1162388597d5a575d7b7a957">&#9670;&#160;</a></span>IsDigesting()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> IsDigesting </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00232">232</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ab8fb9b4105d97f4c7ba4bdd84d6c7de9" name="ab8fb9b4105d97f4c7ba4bdd84d6c7de9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8fb9b4105d97f4c7ba4bdd84d6c7de9">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00396">396</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ad975050d7a080cca462e74c604f404a2" name="ad975050d7a080cca462e74c604f404a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad975050d7a080cca462e74c604f404a2">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00375">375</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="aff6b446cd1b4003ceddae722fc9d96da" name="aff6b446cd1b4003ceddae722fc9d96da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff6b446cd1b4003ceddae722fc9d96da">&#9670;&#160;</a></span>PlayerStomach()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PlayerStomach </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00127">127</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a28e83e041ba7edf671e9593faac0aae2" name="a28e83e041ba7edf671e9593faac0aae2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28e83e041ba7edf671e9593faac0aae2">&#9670;&#160;</a></span>PrintUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PrintUpdate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00303">303</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="aa6b9baf1b3e261548ded1faa8567ccbf" name="aa6b9baf1b3e261548ded1faa8567ccbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6b9baf1b3e261548ded1faa8567ccbf">&#9670;&#160;</a></span>ProcessNutrients()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ProcessNutrients </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta_time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00248">248</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ab01a1c2d7aa1e32655e71fdb91708d82" name="ab01a1c2d7aa1e32655e71fdb91708d82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab01a1c2d7aa1e32655e71fdb91708d82">&#9670;&#160;</a></span>RegisterItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void RegisterItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>classname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00159">159</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ac3590ff8a2540b4d7e7abb2715908dbc" name="ac3590ff8a2540b4d7e7abb2715908dbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3590ff8a2540b4d7e7abb2715908dbc">&#9670;&#160;</a></span>SetAgentTransferFilter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetAgentTransferFilter </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>filter_agents</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00149">149</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a9d85fb887603ea275dcc3b5dcc7a427a" name="a9d85fb887603ea275dcc3b5dcc7a427a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d85fb887603ea275dcc3b5dcc7a427a">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>delta_time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00243">243</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ad4a544b7e6668ad879370d4b4b2188d4" name="ad4a544b7e6668ad879370d4b4b2188d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4a544b7e6668ad879370d4b4b2188d4">&#9670;&#160;</a></span>~PlayerStomach()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ~<a class="el" href="../../d8/dec/_player_stomach_8c.html#aff6b446cd1b4003ceddae722fc9d96da">PlayerStomach</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00132">132</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a542ac60999d4399c5a884797633f8e28" name="a542ac60999d4399c5a884797633f8e28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a542ac60999d4399c5a884797633f8e28">&#9670;&#160;</a></span>ACCEPTABLE_FOODSTAGE_MAX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ACCEPTABLE_FOODSTAGE_MAX = <a class="el" href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25a1933def4ded8ab63dacaf0d0cb84ca12">FoodStageType.COUNT</a> - 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00114">114</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a43d5da5f6c638c259da7bb93c4d30db7" name="a43d5da5f6c638c259da7bb93c4d30db7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43d5da5f6c638c259da7bb93c4d30db7">&#9670;&#160;</a></span>ACCEPTABLE_QUANTITY_MAX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> ACCEPTABLE_QUANTITY_MAX = 32768</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00113">113</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a7ddf45126b981e720db0cad9d010c773" name="a7ddf45126b981e720db0cad9d010c773"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ddf45126b981e720db0cad9d010c773">&#9670;&#160;</a></span>CHECKSUM</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CHECKSUM</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00111">111</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="aa42be4c5db39a61eb1a576e8c6f84946" name="aa42be4c5db39a61eb1a576e8c6f84946"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa42be4c5db39a61eb1a576e8c6f84946">&#9670;&#160;</a></span>DIGESTING_ENERGY</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> DIGESTING_ENERGY = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00107">107</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a8777c7c76319046c85997da1aed88676" name="a8777c7c76319046c85997da1aed88676"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8777c7c76319046c85997da1aed88676">&#9670;&#160;</a></span>DIGESTING_WATER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a> DIGESTING_WATER = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86e33c1a14981c2ce5a75a70eff4d045" name="a86e33c1a14981c2ce5a75a70eff4d045"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86e33c1a14981c2ce5a75a70eff4d045">&#9670;&#160;</a></span>DIGESTION_POINTS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> DIGESTION_POINTS = <a class="el" href="../../d3/def/class_player_constants.html#ab011742d976a25101a5c5ecc8f315251">PlayerConstants.DIGESTION_SPEED</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00112">112</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ad1e26b7740d09e905a4490ad5ad6339e" name="ad1e26b7740d09e905a4490ad5ad6339e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1e26b7740d09e905a4490ad5ad6339e">&#9670;&#160;</a></span>id_bit_offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> id_bit_offset = 4</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00110">110</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="af26d583f3ed0a091a635220c58041485" name="af26d583f3ed0a091a635220c58041485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af26d583f3ed0a091a635220c58041485">&#9670;&#160;</a></span>m_AgentTransferFilter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_AgentTransferFilter</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00119">119</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="aa4d2ef25f8a162fbe3b3941605f1f484" name="aa4d2ef25f8a162fbe3b3941605f1f484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa4d2ef25f8a162fbe3b3941605f1f484">&#9670;&#160;</a></span>m_Digesting</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_Digesting</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00120">120</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a069e208d705ba831ca86e08ac9941191" name="a069e208d705ba831ca86e08ac9941191"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a069e208d705ba831ca86e08ac9941191">&#9670;&#160;</a></span>m_DigestingType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> m_DigestingType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00121">121</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a7d53d89632337d79bb513ade988d8a86" name="a7d53d89632337d79bb513ade988d8a86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d53d89632337d79bb513ade988d8a86">&#9670;&#160;</a></span>m_IDsToNames</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; m_IDsToNames = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00116">116</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ad043ea06596a2266dee55db2f6f1a10b" name="ad043ea06596a2266dee55db2f6f1a10b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad043ea06596a2266dee55db2f6f1a10b">&#9670;&#160;</a></span>m_InitData</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d9/db9/classbool.html">bool</a> m_InitData = <a class="el" href="../../d8/dec/_player_stomach_8c.html#ace43e492b585bf2a1eef6f1059dd3041">PlayerStomach.InitData</a>()</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00117">117</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="afc39c51d4fd0b39e8924be074e198c2d" name="afc39c51d4fd0b39e8924be074e198c2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc39c51d4fd0b39e8924be074e198c2d">&#9670;&#160;</a></span>m_NamesToIDs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt; m_NamesToIDs = new <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&gt;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00115">115</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a4db3d46d75d2864daed52041fe1f0973" name="a4db3d46d75d2864daed52041fe1f0973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4db3d46d75d2864daed52041fe1f0973">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00122">122</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ac859686fe433a51f829779619c4111e0" name="ac859686fe433a51f829779619c4111e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac859686fe433a51f829779619c4111e0">&#9670;&#160;</a></span>m_StomachContents</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a>&gt; m_StomachContents = new <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;ref <a class="el" href="../../d0/d9e/class_stomach_item.html">StomachItem</a>&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00118">118</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="ae779d330a5cde7207b3f6b846b86f87d" name="ae779d330a5cde7207b3f6b846b86f87d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae779d330a5cde7207b3f6b846b86f87d">&#9670;&#160;</a></span>m_StomachVolume</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> m_StomachVolume</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00123">123</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a94d2d58da661c601937b4da902f47b7a" name="a94d2d58da661c601937b4da902f47b7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94d2d58da661c601937b4da902f47b7a">&#9670;&#160;</a></span>quantity_bit_offset</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> quantity_bit_offset = 16</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00109">109</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
<a id="a25a1f5ed25534a65e875f6fde47a1d13" name="a25a1f5ed25534a65e875f6fde47a1d13"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25a1f5ed25534a65e875f6fde47a1d13">&#9670;&#160;</a></span>STORAGE_VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> STORAGE_VERSION = 106</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/dec/_player_stomach_8c_source.html#l00124">124</a> of file <a class="el" href="../../d8/dec/_player_stomach_8c_source.html">PlayerStomach.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../d8/dec/_player_stomach_8c.html">PlayerStomach.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
